Update a provider app
curl --request PATCH \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/provider-apps/{providerAppId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"updateMask": [
"externalRef",
"clientId"
],
"providerApp": {
"externalRef": "external-id-123",
"provider": "salesforce",
"clientId": "client-id-123",
"clientSecret": "client-secret-123",
"scopes": [
[
"read",
"write"
]
]
}
}
'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/provider-apps/{providerAppId}"
payload = {
"updateMask": ["externalRef", "clientId"],
"providerApp": {
"externalRef": "external-id-123",
"provider": "salesforce",
"clientId": "client-id-123",
"clientSecret": "client-secret-123",
"scopes": [["read", "write"]]
}
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updateMask: ['externalRef', 'clientId'],
providerApp: {
externalRef: 'external-id-123',
provider: 'salesforce',
clientId: 'client-id-123',
clientSecret: 'client-secret-123',
scopes: [['read', 'write']]
}
})
};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/provider-apps/{providerAppId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "provider-app-123",
"projectId": "project-456",
"provider": "salesforce",
"clientId": "client-id-123",
"createTime": "2023-11-07T05:31:56Z",
"externalRef": "external-id-123",
"scopes": [
[
"oauth",
"offline",
"crm.read"
]
],
"updateTime": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Provider App
Update a provider app
PATCH
/
projects
/
{projectIdOrName}
/
provider-apps
/
{providerAppId}
Update a provider app
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
ID of the provider app, returned by the CreateProviderApp call.
Body
application/json
Array of field paths specifying which fields to update. Allowed values include:
- externalRef
- clientId
- clientSecret
- provider
- scopes
Example:
["externalRef", "clientId"]
The provider app fields to update. (Only include the fields you'd like to update.)
Show child attributes
Show child attributes
Response
The updated provider app
The provider app ID.
Example:
"provider-app-123"
The Ampersand project ID.
Example:
"project-456"
The SaaS provider that this app connects to.
Example:
"salesforce"
The OAuth client ID for this app.
Example:
"client-id-123"
The time the provider app was created.
The ID used by the provider to identify the app (optional).
Example:
"external-id-123"
The OAuth scopes for this app.
The time the provider app was updated.
Was this page helpful?
⌘I

